Package org.bukkit.plugin

# Class InvalidDescriptionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.bukkit.plugin.InvalidDescriptionException

All Implemented Interfaces:
  `Serializable`

public class InvalidDescriptionException extends Exception
Thrown when attempting to load an invalid PluginDescriptionFile

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InvalidDescriptionException()`
Constructs a new InvalidDescriptionException
`InvalidDescriptionException(String message)`
Constructs a new InvalidDescriptionException with the given message
`InvalidDescriptionException(Throwable cause)`
Constructs a new InvalidDescriptionException based on the given Exception
`InvalidDescriptionException(Throwable cause, String message)`
Constructs a new InvalidDescriptionException based on the given Exception

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvalidDescriptionException

public InvalidDescriptionException(Throwable cause, String message)
Constructs a new InvalidDescriptionException based on the given Exception

Parameters:
  `message` - Brief message explaining the cause of the exception
  `cause` - Exception that triggered this Exception

### InvalidDescriptionException

public InvalidDescriptionException(Throwable cause)
Constructs a new InvalidDescriptionException based on the given Exception

Parameters:
  `cause` - Exception that triggered this Exception

### InvalidDescriptionException

public InvalidDescriptionException(String message)
Constructs a new InvalidDescriptionException with the given message

Parameters:
  `message` - Brief message explaining the cause of the exception

### InvalidDescriptionException

public InvalidDescriptionException()
Constructs a new InvalidDescriptionException